GRASS plugin does not work on Ubuntugis Xenial build
Status: Closed

Priority: High

Assignee: Jürgen Fischer

Category: GRASS

Affected QGIS version:2.18.13 Regression?: Yes

Operating System: Linux Mint 18.2 (based on Xenial) Easy fix?: Yes

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 25101

Description

Ubuntugis has updated GRASS to version 7.2.2 on 2017-09-19, just one day after QGIS 2.18.13 was built.

As a consequence, the GRASS plugin does not load with the following error:

2017-09-26T17:35:43    1    Konnte /usr/lib/qgis/plugins/libgrassplugin7.so nicht laden (Grund: Die Bibliothek

/usr/lib/qgis/plugins/libgrassplugin7.so kann nicht geladen werden: (libgrass_gis.7.2.1.so: Kann die Shared-Object-Datei nicht öffnen:

Datei oder Verzeichnis nicht gefunden))

2017-09-26T17:35:43    1    Konnte /usr/lib/qgis/plugins/libgrassprovider7.so nicht laden (Grund: Die Bibliothek

/usr/lib/qgis/plugins/libgrassprovider7.so kann nicht geladen werden: (libgrass_gis.7.2.1.so: Kann die Shared-Object-Datei nicht öffnen:

Datei oder Verzeichnis nicht gefunden))

2017-09-26T17:35:43    1    Konnte /usr/lib/qgis/plugins/libgrassrasterprovider7.so nicht laden (Grund: Die Bibliothek

/usr/lib/qgis/plugins/libgrassrasterprovider7.so kann nicht geladen werden: (libgrass_gis.7.2.1.so: Kann die Shared-Object-Datei nicht

öffnen: Datei oder Verzeichnis nicht gefunden))

I guess the QGIS package has to be rebuild with GRASS 7.2.2 support to solve this

Related issues:

Duplicated by QGIS Application - Bug report # 18061:  Package qgis-plugin-gra... Closed 2018-02-08

History

#1 - 2017-09-26 07:12 PM - Andre Joost

OSGEO4W might be affected too:

https://gis.stackexchange.com/questions/256666/qgis-grass-plugin7-problem-updating-2-18-12-2-18-13-win10-linux

#2 - 2017-09-27 08:50 AM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

Andre Joost wrote:

I guess the QGIS package has to be rebuild with GRASS 7.2.2 support to solve this

Correct.  Hence this will solve itself on the next point release (see note on the download page).
https://gis.stackexchange.com/questions/256666/qgis-grass-plugin7-problem-updating-2-18-12-2-18-13-win10-linux
http://qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu


#3 - 2018-02-08 07:19 PM - Jürgen Fischer

- Duplicated by Bug report #18061:  Package qgis-plugin-grass on ubuntu repositories added
